Imports System.Drawing
Namespace VBPats
  Public Class Rectangle
    Private x, y, h, w As Integer
    Protected rpen As Pen
    '--------

    Public Sub New(ByVal x_ As Integer, ByVal y_ As Integer, _
                   ByVal w_ As Integer, ByVal h_ As Integer)
      x = x_
      y = y_
      w = w_
      h = h_
      rpen = New Pen(Color.Black)
      rpen.Width = 2
    End Sub
    '--------    
    Public Sub draw(ByVal g As Graphics)
      g.DrawRectangle(rpen, x, y, w, h)
    End Sub
  End Class
End Namespace
